// AsynCallDlg.h : CAsynCallDlg 的声明

#pragma once

#include "resource.h"       // 主符号
#include <atlhost.h>

class CAsynCallDemo;

// CAsynCallDlg

class CAsynCallDlg : 
	public CAxDialogImpl<CAsynCallDlg>
{
public:
    CAsynCallDemo *_ctl;
    CAsynCallDlg(CAsynCallDemo *dctl=NULL):_ctl(dctl)
	{
	}

	~CAsynCallDlg()
	{
	}

    void StartDialog(void);

	enum { IDD = IDD_ASYNCALLDLG };

BEGIN_MSG_MAP(CAsynCallDlg)
	MESSAGE_HANDLER(WM_INITDIALOG, OnInitDialog)
	COMMAND_HANDLER(IDOK, BN_CLICKED, OnClickedOK)
	CHAIN_MSG_MAP(CAxDialogImpl<CAsynCallDlg>)
END_MSG_MAP()

// 处理程序原型: 
//  LRESULT MessageHandler(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled);
//  LRESULT CommandHandler(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled);
//  LRESULT NotifyHandler(int idCtrl, LPNMHDR pnmh, BOOL& bHandled);

	LRESULT OnInitDialog(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled);

	LRESULT OnClickedOK(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled);
};


